package com.github.nullptroma.wallenc.ui.screens.shared

import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import com.github.nullptroma.wallenc.ui.R
import com.github.nullptroma.wallenc.ui.elements.WallencScreenContentPadding
import com.github.nullptroma.wallenc.ui.elements.WallencScreenScaffold

@Composable
fun TextEditScreen(
    text: String,
    modifier: Modifier = Modifier,
) {
    WallencScreenScaffold(modifier = modifier) { innerPadding ->
        WallencScreenContentPadding(innerPadding) {
            Text(
                text = stringResource(R.string.text_edit_screen_placeholder, text),
                style = MaterialTheme.typography.bodyLarge,
            )
        }
    }
}
